%% shift_queue_right
%    shifts all items in the queue to the right one place, wrapping occurs.
% inputs:
%   object - current UndoManager
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification

function [] = shift_queue_right( object )

% gets called if a user changes something after they undo

% current_object points at newly created state

temp = object.queue(size(object.queue,2));

for i=1:size(object.queue,2)
    temp1 = object.queue(i);
    object.queue(i) = temp;
    temp = temp1;
end



end

